<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Tour">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="The user interface provides the workspace that you use to set up projects and configure tasks for a penetration test. " /><title>Metasploit Web Interface</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#02-tour/user-interface-overview.html">Open topic with navigation</a>
        </p>
        <h1>Metasploit Web Interface</h1>
        <p>The web interface contains the workspace that you use to set up projects and perform pentesting tasks.  It is a browser-based interface that provides navigational menus that you can use to access the various task configuration pages. You can do things like run a discovery scan, launch an exploit against a target, generate a report, configure system preferences, and perform administrative tasks.Each task has its own configuration page that displays all the options and settings that you can define for a task. The user interface displays the fields you need to input data, check box options that you can enable or disable depending on your test requirements, and dropdown menus that provide you with available options for a particular task.</p>
        <p>When you first open a new project, the Overview page appears. It displays the statistical information for the project, such as the number of hosts and services discovered and the number of sessions and credentials obtained.The project will not display any statistics or the Dashboard until you scan a target or import host data. </p>
        <p>
            <img src="../Resources/Images/ui/ui-dashboard-overview_373x220.png" title="Web interface" alt="Web interface" style="width: 373;height: 220;" />
        </p>
        <p>After you scan or import data into the project, the Overview page will display the Dashboard, which provides a high-level, graphical breakdown of the data stored in the project. </p>
        <p>
            <img src="../Resources/Images/ui/ui-dashboard_372x171.png" title="The Dashboard" alt="The Dashboard" style="width: 372;height: 171;" />
        </p>
        <p>Additionally, from the Overview page, you can view the Recent Events log to see the latest activity for the project. This is useful if you are part of a team and want to see the things that other members have done within the project. Ultimately, the Dashboard helps you quickly assess the data that has been collected for the project at a certain point in time. </p>
        <div class="MCDropDown MCDropDown_Open dropDown"><span class="MCDropDownHead dropDownHead"><span class="MCDropDownHotSpot dropDownHotspot MCDropDownHotSpot_">How do I&#160;hide the Dashboard? </span></span>
            <div class="MCDropDownBody dropDownBody">
                <p>To hide the Dashboard, click on the Dashboard's dropdown header. </p>
                <p>
                    <img src="../Resources/Images/ui/ui-hide-dashboard_372x171.png" title="Hide Dashboard" alt="Hide Dashboard" style="width: 372;height: 171;" />
                </p>
            </div>
        </div>
        <div class="MCDropDown MCDropDown_Open dropDown"><span class="MCDropDownHead dropDownHead"><span class="MCDropDownHotSpot dropDownHotspot MCDropDownHotSpot_">What browsers can I use to view the Metasploit web interface?</span></span>
            <div class="MCDropDownBody dropDownBody">
                <p>The user interface runs on the following browsers: 
</p>
                <ul>
                    <li value="1">Google Chrome 10+
</li>
                    <li value="2">Mozilla Firefox 18+
</li>
                    <li value="3">Internet Explorer 9+
</li>
                    <li value="4">Iceweasel 18+</li>
                </ul>
                <p class="Note" data-mc-autonum="&lt;b&gt;Note:&lt;/b&gt; &#160;"><span class="autonumber"><span><b>Note:</b> &#160;</span></span>The web user interface may run on other browsers, but <span class="VariablesProductName">Metasploit Pro</span> does not officially support those browsers. </p>
            </div>
        </div>
        <div class="MCDropDown MCDropDown_Open dropDown"><span class="MCDropDownHead dropDownHead"><span class="MCDropDownHotSpot dropDownHotspot MCDropDownHotSpot_">Learn about the navigational menus and features</span></span>
            <div class="MCDropDownBody dropDownBody">
                <p>You can use the following menus and features to navigate between the different areas of <span class="VariablesProductName">Metasploit Pro</span>:</p>
                <ul>
                    <li value="1"><b>Main menu</b> - Access project settings, edit account information, perform administrative tasks, and view software update alerts.<br /><br /><img src="../Resources/Images/ui/ui-global-menu_473x219.png" title="Global Menu" alt="Global Menu" style="width: 473;height: 219;" /></li>
                    <li value="2"><b>Notification Center</b> -  Alerts you when a task completes or when a software update is available. You can click on the alert to display a dropdown banner of the latest alerts for all projects. <br /><br /><img src="../Resources/Images/ui/ui-notification-center_468x216.png" title="Notification Center" alt="Notification Center" style="width: 468;height: 216;" /></li>
                    <li value="3"><b>Project menu</b> - Access the Project menu when you need to create, edit, open, and view projects.<br /><br /><img src="../Resources/Images/ui/ui-projects-menu_463x214.png" title="Project Menu" alt="Project Menu" style="width: 463;height: 214;" /></li>
                    <li value="4"><b>Account menu</b> - Access the Account menu when you need to manage your account settings. You can change your password, set the time zone, and edit the contact information for the account.<br /><br /><img src="../Resources/Images/ui/ui-account-menu_459x212.png" title="Account Menu" alt="Account Menu" style="width: 459;height: 212;" /></li>
                    <li value="5"><b>Administration menu</b> - Access the Administration menu when you need to apply system updates, update license keys, edit user accounts, and configure global settings.<br /><br /><img src="../Resources/Images/ui/ui-admin-menu_460x211.png" title="Administration Menu" alt="Administration Menu" style="width: 460;height: 211;" /><br /></li>
                    <li value="6"><b>Project tab bar</b> - Click on the tabs in the task bar to navigate between task pages. <br /><br /><img src="../Resources/Images/ui/ui-project-tab-bar_452x209.png" title="Project tab bar" alt="Project tab bar" style="width: 452;height: 209;" /></li>
                    <li value="7"><b>Navigational breadcrumbs</b> - Use the navigational breadcrumbs to identify your current location in a project. <br /><br /><img src="../Resources/Images/ui/ui-navigational-breadcrumbs_452x209.png" title="Navigational breadcrumbs" style="width: 452;height: 209;" /></li>
                    <li value="8"><b>Tasks bar</b> - Access the configuration page for the selected task. <br /><br /><img src="../Resources/Images/ui/ui-tasks-bar_450x208.png" title="Tasks bar" alt="Tasks bar" style="width: 450;height: 208;" /></li>
                </ul>
            </div>
        </div>
        <h2>Accessing the Metasploit Web UI</h2>
        <p>To access the Metasploit Web UI, open a browser and go to <code class="usertype">https://localhost:3790</code> if <span class="VariablesProductName">Metasploit Pro</span> runs on your local machine. If <span class="VariablesProductName">Metasploit Pro</span> runs on a remote machine, replace <code>localhost</code> with the address of the remote machine. </p>
    </body>
</html>